*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Poppins',sans-serif;
}

body{
    background:#030b18;
    color:white;
}

/* NAVBAR */

nav{
    display:flex;
    justify-content:space-between;
    align-items:center;
    padding:25px 100px;
    background:#111827;
    position:sticky;
    top:0;
    z-index:1000;
}

.logo{
    font-size:32px;
    font-weight:bold;
    color:#58a6ff;
}

nav ul{
    display:flex;
    list-style:none;
    gap:40px;
}

nav a{
    color:white;
    text-decoration:none;
    transition:.3s;
}

nav a:hover{
    color:#58a6ff;
}


/* HERO */

.hero{
    min-height:40vh;

    display:flex;
    flex-direction:column;
    justify-content:center;
    align-items:center;

    text-align:center;

    padding:60px 20px;
}

.hero h1{
    font-size:90px;
    color:#58a6ff;
}

.hero h2{
    margin-top:20px;
    font-size:50px;
}

.hero p{
    margin-top:25px;
    color:#b8b8b8;
    font-size:20px;
}


.btn{

    margin-top:40px;

    background:#0066ff;

    color:white;

    text-decoration:none;

    padding:18px 40px;

    border-radius:12px;

    transition:.3s;

}

.btn:hover{

    transform:translateY(-5px);

    box-shadow:0 0 25px rgba(0,128,255,.5);

}


/* CARDS */

.cards{

    display:flex;

    justify-content:center;

    gap:30px;

    flex-wrap:wrap;

    padding:80px;

}

.card{

    width:320px;

    background:#111827;

    border-radius:20px;

    padding:40px;

    text-align:center;

    transition:.3s;

}

.card:hover{

    transform:translateY(-10px);

    box-shadow:0 0 30px rgba(0,128,255,.4);

}

.card i{

    font-size:55px;

    color:#58a6ff;

    margin-bottom:25px;

}

.card h3{

    margin-bottom:15px;

}

.card p{

    color:#d6d6d6;

    line-height:1.6;

}


/* FOOTER */

footer{

    background:#111827;

    text-align:center;

    padding:30px;

    margin-top:100px;

}



/* MOBILE */

@media (max-width:768px){

    nav{

        flex-direction:column;

        padding:20px;

    }

    nav ul{

        flex-direction:column;

        gap:20px;

        margin-top:20px;

        text-align:center;

    }

    .logo{

        font-size:26px;

    }

    .hero{

        min-height:auto;

        padding:60px 20px;

    }

    .hero h1{

        font-size:60px;

    }

    .hero h2{

        font-size:25px;

    }

    .hero p{

        font-size:18px;

        line-height:1.8;

    }

    .cards{

        padding:30px 20px;

        gap:20px;

    }

    .card{

        width:100%;

        max-width:350px;

    }

}.menu-btn{
    display:none;
    font-size:32px;
    cursor:pointer;
}

@media(max-width:768px){

    nav{
        flex-direction:row;
        padding:20px;
    }

    .menu-btn{
        display:block;
    }

    nav ul{
        display:none;
        position:absolute;
        top:80px;
        left:0;
        width:100%;
        background:#111827;
        flex-direction:column;
        text-align:center;
        padding:20px 0;
    }

    nav ul.active{
        display:flex;
    }

}